L’Audio/Vidéo en temps réel fonctionne avec des webcams standard, des périphériques audio USB et analogiques ainsi qu’avec les applications de conférence standard telles que Skype, WebEx et Google Hangouts. Pour prendre en charge l'Audio/Vidéo en temps réel, le déploiement de votre View doit satisfaire certaines exigences matérielles et logicielles.

Cette fonctionnalité est prise en charge par les versions suivantes deHorizon Client pour Linux :

  • Horizon Client 3.2 ou une version ultérieure distribuée par VMware.
  • Horizon Client 2.2 ou une version ultérieure distribuée par des fournisseurs tiers.
Poste de travail distant View

View Agent 5.3 ou version ultérieure, ou Horizon Agent 7.0 ou version ultérieure, doit être installé sur les postes de travail. S'agissant des postes de travail View Agent 5.3, la version correspondante de Remote Experience Agent doit également être installée sur les postes de travail. Par exemple, si View Agent 5.3 est installé, vous devez aussi installer Remote Experience Agent depuis View 5.3 Feature Pack 1. Reportez-vous au document Installation et administration de View Feature Pack pour View. Si vous disposez de View Agent 6.0 ou version ultérieure, ou Horizon Agent 7.0 ou version ultérieure, aucun Feature Pack n'est requis. La fonctionnalité Audio/Vidéo en temps réel n'est pas prise en charge dans les applications distantes.

Ordinateur Horizon Client ou périphérique d'accès client
  • Dans Horizon Client 3.4 et versions antérieures, la fonction Audio/Vidéo en temps réel est prise en charge sur les périphériques x86 uniquement. Dans Horizon Client 3.5 et versions ultérieures, elle est prise en charge sur les périphériques x86 et x64. Cette fonctionnalité n'est pas prise en charge par les processeurs ARM. Le processeur du système client doit avoir au moins deux cœurs.
  • Horizon Client requiert les bibliothèques suivantes :
    • Video4Linux2
    • libv4l
    • Pulse Audio

    Le fichier de plug-in (/usr/lib/pcoip/vchan_plugins/libmmredir_plugin.so dans Horizon Client 3.5 et versions antérieures, /usr/lib/pcoip/vchan_plugins/libviewMMDevRedir.so dans Horizon Client 4.0) a les dépendances suivantes :

    libuuid.so.1
    libv4l2.so.0
    libspeex.so.1
    libudev0
    libtheoradec.so.1
    libtheoraenc.so.1
    libv4lconvert.so.0
    libjpeg.so.8
    

    Tous ces fichiers doivent se trouver sur le système client, sinon la fonction Audio/Vidéo en temps réel n'est pas opérationnelle. Ces contraintes s'ajoutent aux exigences requises par Horizon Client lui-même.

  • Les pilotes des webcams et des périphériques audio doivent être installés, et la webcam ainsi que le périphérique audio doivent être opérationnels sur l'ordinateur client. Pour utiliser l'Audio/Vidéo en temps réel, vous n'avez pas à installer les pilotes des périphériques sur le système d'exploitation du poste de travail où l'agent est installé.
Protocole d'affichage pour View
  • PCoIP
  • VMware Blast (requiert Horizon Client 4.0 ou version ultérieure et Horizon Agent 7.0 ou version ultérieure)

L'Audio/Vidéo en temps réel n'est pas pris en charge par les sessions postes de travail RDP.